import { html, when } from '@microsoft/fast-element';
import { cardTag } from '../../tags';
import { backButton, organisationField, password2Field, passwordField, showPasswordsCheckbox, submitButton, usernameField, } from '../base';
export const ResetPasswordTemplate = html `
  <auth-background>
    <div class="container">
      <${cardTag} class="card-pd">
        <div class="column-content">
          <auth-logo></auth-logo>
          <div class="heading2" data-test-id="heading">${(x) => x.headingText}</div>
          <div class="heading3">Enter the username registered to your account</div>
        </div>
        <form @submit=${(x) => x.onSubmit()} autocomplete="on">
          ${organisationField()} ${usernameField()}
          ${when((x) => !x.passwordResetToken, html `
              ${passwordField('Old Password')}
            `)}
          ${password2Field('new')} ${showPasswordsCheckbox()}
          <div class="form-buttons">
            ${submitButton('Change Password')} ${backButton((x) => x.onBack())}
          </div>
          <submitting-indicator is-submitting="${(x) => x.store.isPending}"></submitting-indicator>
          <auth-message></auth-message>
        </form>
      </${cardTag}>
    </div>
  </auth-background>
`;
