import { sync } from '@genesislcap/foundation-utils';
import { html } from '@microsoft/fast-element';
import { cardTag, textFieldTag } from '../../tags';
import { backButton, submitButton } from '../base';
export const VerifyTemplate = html `
  <auth-background>
    <div class="container">
      <${cardTag} class="card-pd">
        <div class="column-content">
          <auth-logo></auth-logo>
          <div class="heading2">Verify that it's you</div>
          <div class="heading3">
            We've sent a code to the email address attached to this account.
          </div>
        </div>
        <form @submit=${(x) => x.onSubmit()}>
          <${textFieldTag}
            type="text"
            name="code"
            autocomplete="one-time-code"
            :value=${sync((x) => x.code)}
            autofocus
            data-test-id="code"
          >
            <span class="form-title">Verification Code</span>
          </${textFieldTag}>
          <div class="form-buttons">
            ${submitButton('Verify and Login')} ${backButton((x) => x.onBack())}
          </div>
          <auth-message></auth-message>
        </form>
      </${cardTag}>
    </div>
  </auth-background>
`;
